# Class Position

2D Point.

#### Hierarchy

- Position

- Defined in Position.ts:4

#####
Index

### Constructors

constructor

### Properties

_x
_y

### Accessors

x
y

## Constructors

### constructor

- new Position(x: number, y: number): Position

- Constructs the position.

  #### Parameters

  - ##### x: number

    x-Position

  - ##### y: number

    y-Position

  #### Returns Position

  - Defined in Position.ts:55

## Properties

### `Private` _x

_x: number

X coordinate.

- Defined in Position.ts:9

### `Private` _y

_y: number

Y coordinate.

- Defined in Position.ts:15

## Accessors

### x

- get x(): number

- Get x.

  #### Returns number

  - Defined in Position.ts:22
- set x(value: number): void

- Set x.

  #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in Position.ts:30

### y

- get y(): number

- Get y.

  #### Returns number

  - Defined in Position.ts:37
- set y(value: number): void

- Set y.

  #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in Position.ts:45

Generated using TypeDoc